=== debian/changelog ===
sqlgrey (1:1.8.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1050433)

 -- Paul Gevers <elbrus@debian.org>  Thu, 24 Aug 2023 17:07:36 +0200

sqlgrey (1:1.8.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Repository.
  * Use secure URI in Vcs control header Vcs-Git.
  * Update standards version to 4.5.0, no changes needed.

  [ Antonin Kral ]
  * [9937345] Drop `lsb-base`
  * [c03d4bd] Switch debian/rules to dh
  * [2d58689] Add systemd service (Closes: #1039381)
  * [0c2ca1e] Bump standards version

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 20 Jul 2023 18:39:51 +0200

sqlgrey (1:1.8.0-4) unstable; urgency=medium

  * Bumping version to allow for source only upload. (Kudos to Andrian Bunk
    for a ping)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 16 Feb 2020 13:57:18 +0100

sqlgrey (1:1.8.0-3) unstable; urgency=medium

  * [9181e48] Add sensible logcheck rules (Closes: #806648)
  * [d11e4f5] Make whitespaces more consistent in the init script
  * [f146bc0] Add status action for the init script (Closes: #693747)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 03 Jan 2020 21:10:50 +0100

sqlgrey (1:1.8.0-2) unstable; urgency=medium

  * [7c08b04] Pass correct user to start-stop-daemon (Closes: #947911)
  * Updating package infrastructure

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 03 Jan 2020 20:08:33 +0100

sqlgrey (1:1.8.0-1) unstable; urgency=low

  * [8e942a4] Imported Upstream version 1.8.0
  * Allow false as config value, patch by Joost van Baal-Ilić
    <joostvb+debian-bugs-20120215-3@uvt.nl> (Closes: #659987)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 16 Feb 2012 10:12:11 +0100

sqlgrey (1.8.0rc2-1) unstable; urgency=low

  * New upstream release

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Thu, 11 Feb 2010 09:29:57 +0100

sqlgrey (1.6.8-4) unstable; urgency=low

  * Added /var/lib/sqlgrey to dirs (Closes: #532950, #532948)
  * Chdir to /var/lib/sqlgrey before starting daemon (Closes: #552261)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 22 Dec 2009 21:18:33 +0100

sqlgrey (1.6.8-3) unstable; urgency=low

  * fixed /etc/sqlgrey/sqlgrey.conf mode (Closes: #514834)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 11 Feb 2009 11:41:56 +0100

sqlgrey (1.6.8-2) unstable; urgency=low

  * added dependencies for supported DB models (Closes: #513597)
  * fixed Lintian warning description-contains-homepage
  * fixed Lintian warning binary-without-manpage

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Sun, 08 Feb 2009 15:03:12 +0100

sqlgrey (1.6.8-1) unstable; urgency=low

  * Initial release (Closes: #389472)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Wed, 19 Mar 2008 21:18:15 +0100
