=== debian/control ===
Source: sqlgrey
Section: mail
Priority: optional
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Build-Depends: debhelper (>= 5), perl-doc, debhelper-compat (= 12), dh-exec
Standards-Version: 4.6.2
Vcs-Git: https://github.com/bobek/sqlgrey-debian.git
Vcs-Browser: https://github.com/bobek/sqlgrey-debian
Homepage: http://sqlgrey.sourceforge.net/

Package: sqlgrey
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${perl:Depends}, ${misc:Depends}, adduser, perl, libnet-server-perl, libdate-calc-perl, libdbd-pg-perl | libdbd-mysql-perl | libdbd-sqlite3-perl
Recommends: postfix, libdbd-pg-perl
Description: Postfix Greylisting Policy Server
 A policy server for Postfix implementing greylisting.
 .
 Could be configured to use MySQL, PostgreSQL or SQLite. PostgreSQL is
 recommended by author.
 .
