=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) ROOTDIR=$(CURDIR)/debian/sqlgrey install
