=== debian/watch ===
version=3
https://sf.net/sqlgrey/sqlgrey-(.*)\.tar\.gz
